package com.ruoyi.buyerapi.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.common.utils.SecurityUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.buyerapi.mapper.BuyerDeptDeviceMapper;
import com.ruoyi.buyerapi.domain.BuyerDeptDevice;
import com.ruoyi.buyerapi.service.IBuyerDeptDeviceService;

/**
 * 企业信息管理设备Service业务层处理
 * 
 * @author ruoyi
 * @date 2022-09-22
 */
@Service
public class BuyerDeptDeviceServiceImpl implements IBuyerDeptDeviceService 
{
    @Autowired
    private BuyerDeptDeviceMapper buyerDeptDeviceMapper;

    /**
     * 查询企业信息管理设备
     * 
     * @param id 企业信息管理设备主键
     * @return 企业信息管理设备
     */
    @Override
    public BuyerDeptDevice selectBuyerDeptDeviceById(String id)
    {
        return buyerDeptDeviceMapper.selectBuyerDeptDeviceById(id);
    }

    /**
     * 查询企业信息管理设备列表
     * 
     * @param buyerDeptDevice 企业信息管理设备
     * @return 企业信息管理设备
     */
    @Override
    public List<BuyerDeptDevice> selectBuyerDeptDeviceList(BuyerDeptDevice buyerDeptDevice)
    {
        buyerDeptDevice.setDeptId(SecurityUtils.getCompanyId());
        return buyerDeptDeviceMapper.selectBuyerDeptDeviceList(buyerDeptDevice);
    }

    /**
     * 新增企业信息管理设备
     * 
     * @param buyerDeptDevice 企业信息管理设备
     * @return 结果
     */
    @Override
    public int insertBuyerDeptDevice(BuyerDeptDevice buyerDeptDevice)
    {
        buyerDeptDevice.setCreateTime(DateUtils.getNowDate());
        buyerDeptDevice.setDeptId(SecurityUtils.getCompanyId());
        return buyerDeptDeviceMapper.insertBuyerDeptDevice(buyerDeptDevice);
    }

    /**
     * 修改企业信息管理设备
     * 
     * @param buyerDeptDevice 企业信息管理设备
     * @return 结果
     */
    @Override
    public int updateBuyerDeptDevice(BuyerDeptDevice buyerDeptDevice)
    {
        buyerDeptDevice.setUpdateTime(DateUtils.getNowDate());
        return buyerDeptDeviceMapper.updateBuyerDeptDevice(buyerDeptDevice);
    }

    /**
     * 批量删除企业信息管理设备
     * 
     * @param ids 需要删除的企业信息管理设备主键
     * @return 结果
     */
    @Override
    public int deleteBuyerDeptDeviceByIds(String[] ids)
    {
        return buyerDeptDeviceMapper.deleteBuyerDeptDeviceByIds(ids);
    }

    /**
     * 删除企业信息管理设备信息
     * 
     * @param id 企业信息管理设备主键
     * @return 结果
     */
    @Override
    public int deleteBuyerDeptDeviceById(String id)
    {
        return buyerDeptDeviceMapper.deleteBuyerDeptDeviceById(id);
    }
}
